# AmazonChangeEc2InstancesParameters Object

## Description

Parameters for the Amazon Change EC2 Instances action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### deregisterFromLoadBalancers

Indicates whether to deregister from load balancers when stopping the EC2 instance.

Type: `string`

Valid Values:

* `none`
* `all-load-balancers`

Required: Yes

### instanceIds

Instance IDs of the EC2 instances which will be changed. Required when `instanceIdentificationMethod` is `by-instance-id`.

Type: Array of `string`

Required: Conditional

### instanceNameComparison

Comparison to use when identifying EC2 instances by `Name` tag. Required when `instanceIdentificationMethod` is `by-instance-name-tag`.

Type: [InstanceNameComparison](/data-types/instancenamecomparison-object-1.md) object.

Required: Conditional

### instanceIdentificationMethod

Method of identifying the EC2 instances.

Type: `string`

Valid Values:

* `all-instances`
* `by-instance-id`
* `by-instance-name-tag`
* `by-resource-tag`

Required: Yes

### instanceType

New instance type for the EC2 instances.

Type: `string`

Required: No

### isEbsOptimized

New flag indicating whether the EC2 instances are EBS-optimized or not.

Type: `boolean`

Required: No

### isEnableTerminationProtection

New flag indicating whether the EC2 instances should have termination protection enabled.

Type: `boolean`

Required: No

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### resourceTagComparison

Comparison to use when identifying instances by resource tag. Required when `instanceIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) object.

Required: Conditional

### revertTimeInSeconds

Time (in seconds) after which the EC2 instances will be reverted to their original settings.

Type: `integer`

Required: No

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    "instanceIdentificationMethod": "by-instance-id",
    "instanceIds": [
        "i-11111111",
        "i-22222222"
    ],

    "instanceType": "t2.small",
    "isEbsOptimized": false,

    "revertTimeInSeconds": 43200
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazonchangeec2instancesparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
